Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036556
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2017-07-31 22:072018-12-11 20:22
ReporterAtulOpenbravoView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision1a4041af1fa1
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036556: Organization filter in Orders Awaiting Invoice Report does not work properly for summary level organizations

DescriptionOrganization filter in Orders Awaiting Invoice Report does not work properly for summary level organizations, When parent organization is selected as a filter, records for its child organization are not shown in the report.
Steps To Reproduce- Login as F&B International Group Admin
- Navigate to Sales Order, create a Warehouse Order as below
  - Organization: F&B Espana - Region Norte
  - Transaction Document - Warehouse Order
  - Business Partner - Hoteles Buenas Noches, S.A
  - Order Date - Today's Date
  - Other fields: Default values
  - Save Record
- Navigate to Lines Tab, Create record as below
  - Line no: 10
  - Product: Vino Blanco 0,75L
  - Ordered Quantity: 10
  - Other Fields: Default Values
  - Save Record
- Complete the Sales Order
- Realize that the Shipment is created successfully for the order
- Navigate to Orders Awaiting Order Report
- Apply filters as
  - From Date = To Date = Today's Date
  - Organization = F&B Espana - Region Norte
- Press HTML Format button
- Realize that order created in the above steps is shown in the report.
- In report filter, change the Organization filter as any one of the parent organization for eg: F&B Espana and press the HTML Format button
- Realize that the order above created is not shown in the report.
  
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0101732)
collazoandy4 (developer)
2018-01-16 21:35

Test Plan
  As F&B International Group Admin Role
    Create two Sales Order one for F&B España - Region Norte and another for F&B US West Coast organizations
      Complete the orders
    Go to Orders Awaiting Invoice Report and applied filters for:
      From Date: Today's Date
      Organization: F&B España - Region Norte
      Clic on HTML Format button and check the previous order created for F&B Region norte is shown
      Edit the Organization filter to F&B España
      Clic on HTML Format button and check the previous order created for F&B Region norte is shown
      Organization: F&B US West Coast
      Clic on HTML Format button and check the previous order created for F&B US West Coast is shown
      Edit the Organization filter to F&B US, Inc.
      Clic on HTML Format button and check the previous order created for F&B US West Coast is shown
      Edit the Organization filter to *
      Clic on HTML Format button and check the previous orders created are shown
(0108132)
hgbot (developer)
2018-11-27 15:37

Repository: erp/devel/pi
Changeset: 1a4041af1fa115506325be8ee08f2d906c776e32
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Nov 27 09:17:11 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1a4041af1fa115506325be8ee08f2d906c776e32 [^]

Fixes issue 36556: Organization filter in Orders Awaiting Invoice Report does not
work properly for summary level organizations

Organization filter in Orders Awaiting Invoice Report does not work properly for
summary level organizations, When parent organization is selected as a filter,
records for its child organization are not shown in the report.

The Organization child tree is now set as a filter for the report query.

---
M src/org/openbravo/erpCommon/ad_reports/ReportOrderNotInvoiceJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportOrderNotInvoice_data.xsql
---
(0108133)
hgbot (developer)
2018-11-27 15:37

Repository: erp/devel/pi
Changeset: ebcc9e8ba08a3f190c1af566e48cbab4680abefd
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Nov 27 10:00:23 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ebcc9e8ba08a3f190c1af566e48cbab4680abefd [^]

related to issue 36556 code review changes in strTreeOrgId

---
M src/org/openbravo/erpCommon/ad_reports/ReportOrderNotInvoiceJR.java
---
(0108134)
Sandrahuguet (developer)
2018-11-27 15:56

Code review + testing OK
(0108501)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test
(0108502)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-07-31 22:07 AtulOpenbravo New Issue
2017-07-31 22:07 AtulOpenbravo Assigned To => Triage Finance
2017-07-31 22:07 AtulOpenbravo Modules => Core
2017-07-31 22:07 AtulOpenbravo Triggers an Emergency Pack => No
2018-01-12 00:48 collazoandy4 Assigned To Triage Finance => collazoandy4
2018-01-12 00:48 collazoandy4 Status new => scheduled
2018-01-16 21:35 collazoandy4 Note Added: 0101732
2018-11-27 15:37 hgbot Checkin
2018-11-27 15:37 hgbot Note Added: 0108132
2018-11-27 15:37 hgbot Status scheduled => resolved
2018-11-27 15:37 hgbot Resolution open => fixed
2018-11-27 15:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1a4041af1fa115506325be8ee08f2d906c776e32 [^]
2018-11-27 15:37 hgbot Checkin
2018-11-27 15:37 hgbot Note Added: 0108133
2018-11-27 15:56 Sandrahuguet Review Assigned To => Sandrahuguet
2018-11-27 15:56 Sandrahuguet Note Added: 0108134
2018-11-27 15:56 Sandrahuguet Status resolved => closed
2018-11-27 15:56 Sandrahuguet Fixed in Version => 3.0PR19Q1
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108501
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108502


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker